<script lang="ts">
    import type Building from 'models/Building'

    export let text: string = 'Résumé des bâtiments'
    import { getBuildings, grid } from 'lib/grid'

    let constructions: Building[]
    grid.subscribe(() => {
        constructions = getBuildings()
    })
</script>

<div class="section">
    <p class="title">{text}</p>
    <div class="constructions">
        {#each constructions as { name, level }}
            <div class="construction">
                <p class="name">{name}</p>
                <p>Lvl {level}</p>
            </div>
        {/each}
    </div>
</div>

<style lang="postcss">
    .section {
        @apply w-auto flex-col rounded-lg bg-gray-700 py-4 px-4 text-center;
    }
    .title {
        @apply font-bold text-white;
    }
    .constructions {
        @apply grid md:grid-cols-2 grid-cols-1 gap-2 m-2;
    }
    .construction {
        @apply text-white grid grid-rows-2;
    }
    .name {
        @apply font-semibold;
    }
</style>
